Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 593762 - Including <sys/timex.h> results in a compilation error
Including <sys/timex.h> results in a compilation error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 12:20 EDT by Pavel K.
Modified: 2010-06-07 18:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: glibc-2.12-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 18:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a test file (73 bytes, application/octet-stream)
2010-05-19 12:20 EDT, Pavel K.
no flags Details

  None (edit)
Description Pavel K. 2010-05-19 12:20:14 EDT
Created attachment 415188 [details]
a test file

Description of problem:
 
The following code:
 
<test.cpp>
#include <sys/timex.h>
int main(int argc, char argv[])
{
 return 0;
}
results in a compilation error when compiling with g++:
 
g++ -c test.cpp
In file included from test.cpp:2:
/usr/include/sys/timex.h:145: error: expected initializer before "throw"
 
In the meantime, it works with gcc (gcc -c test.c).
 
On fc12 it works with both gcc and g++.



Version-Release number of selected component (if applicable):
glibc-headers-2.12-1.i686


How reproducible:
compile the attached file with g++



Steps to Reproduce:
1. g++ -c test.cpp
  


Actual results:
g++ -c test.cpp
In file included from test.cpp:2:
/usr/include/sys/timex.h:145: error: expected initializer before "throw"



Expected results:
no compilation errors



Additional info:
#gcc (GCC) 4.4.4 20100503 (Red Hat 4.4.4-2)
Comment 1 Fedora Update System 2010-06-02 04:36:23 EDT
glibc-2.12-2 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/glibc-2.12-2
Comment 2 Fedora Update System 2010-06-02 14:13:32 EDT
glibc-2.12-2 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glibc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/glibc-2.12-2
Comment 3 Fedora Update System 2010-06-07 18:29:10 EDT
glibc-2.12-2 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.